Index: modules/uoa-repository-manager-service/branches/springboot/src/main/java/eu/dnetlib/repo/manager/config/ActuatorConfig.java
===================================================================
--- modules/uoa-repository-manager-service/branches/springboot/src/main/java/eu/dnetlib/repo/manager/config/ActuatorConfig.java	(revision 61629)
+++ modules/uoa-repository-manager-service/branches/springboot/src/main/java/eu/dnetlib/repo/manager/config/ActuatorConfig.java	(nonexistent)
@@ -1,39 +0,0 @@
-package eu.dnetlib.repo.manager.config;
-
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.boot.actuate.autoconfigure.EndpointAutoConfiguration;
-import org.springframework.boot.actuate.autoconfigure.HealthIndicatorAutoConfiguration;
-import org.springframework.boot.actuate.autoconfigure.PublicMetricsAutoConfiguration;
-import org.springframework.boot.actuate.endpoint.MetricsEndpoint;
-import org.springframework.boot.actuate.endpoint.mvc.EndpointHandlerMapping;
-import org.springframework.boot.actuate.endpoint.mvc.EndpointMvcAdapter;
-import org.springframework.boot.actuate.endpoint.mvc.MvcEndpoint;
-import org.springframework.context.annotation.Bean;
-import org.springframework.context.annotation.Configuration;
-import org.springframework.context.annotation.Import;
-import org.springframework.web.servlet.config.annotation.EnableWebMvc;
-
-import java.util.Collection;
-
-@Configuration
-@EnableWebMvc
-@Import({
-        EndpointAutoConfiguration.class,
-        PublicMetricsAutoConfiguration.class,
-//        HealthIndicatorAutoConfiguration.class
-})
-
-public class ActuatorConfig { // TODO: remove this with migration to Spring Boot 2
-
-    @Bean
-    @Autowired
-    public EndpointHandlerMapping endpointHandlerMapping(Collection<? extends MvcEndpoint> endpoints) {
-        return new EndpointHandlerMapping(endpoints);
-    }
-
-    @Bean
-    @Autowired
-    public EndpointMvcAdapter metricsEndPoint(MetricsEndpoint delegate) {
-        return new EndpointMvcAdapter(delegate);
-    }
-}
Index: modules/uoa-repository-manager-service/branches/springboot/pom.xml
===================================================================
--- modules/uoa-repository-manager-service/branches/springboot/pom.xml	(revision 61629)
+++ modules/uoa-repository-manager-service/branches/springboot/pom.xml	(revision 61630)
@@ -4,48 +4,57 @@
          xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
 
     <parent>
-        <groupId>eu.dnetlib</groupId>
-        <artifactId>dnet45-parent</artifactId>
-        <version>1.0.0-SNAPSHOT</version>
+        <groupId>org.springframework.boot</groupId>
+        <artifactId>spring-boot-starter-parent</artifactId>
+        <version>2.5.4</version>
     </parent>
+
     <modelVersion>4.0.0</modelVersion>
+    <groupId>eu.dnetlib</groupId>
     <artifactId>uoa-repository-manager-service</artifactId>
     <version>1.0.0-SNAPSHOT</version>
     <packaging>war</packaging>
 
+    <properties>
+        <spring.boot.version>2.5.4</spring.boot.version>
+    </properties>
 
     <dependencies>
         <dependency>
-            <groupId>org.springframework</groupId>
-            <artifactId>spring-webmvc</artifactId>
-            <version>${spring.version}</version>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-web</artifactId>
+            <version>${spring.boot.version}</version>
         </dependency>
         <dependency>
-            <groupId>org.hibernate</groupId>
-            <artifactId>hibernate-validator-annotation-processor</artifactId>
-            <version>4.1.0.Final</version>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-data-jdbc</artifactId>
+            <version>${spring.boot.version}</version>
         </dependency>
         <dependency>
-            <groupId>log4j</groupId>
-            <artifactId>log4j</artifactId>
-            <version>${log4j.version}</version>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-actuator-autoconfigure</artifactId>
+            <version>${spring.boot.version}</version>
         </dependency>
         <dependency>
             <groupId>eu.dnetlib</groupId>
-            <artifactId>dnet-runtime</artifactId>
-            <version>[1.0.0-SNAPSHOT, 2.0.0)</version>
-            <exclusions>
-                <exclusion>  <!-- declare the exclusion here -->
-                    <groupId>org.apache.geronimo.specs</groupId>
-                    <artifactId>geronimo-javamail_1.4_spec</artifactId>
-                </exclusion>
-            </exclusions>
-        </dependency>
-        <dependency>
-            <groupId>eu.dnetlib</groupId>
-            <artifactId>uoa-utils</artifactId>
+            <artifactId>uoa-clients</artifactId>
             <version>[2.0.0-SNAPSHOT, 3.0.0)</version>
         </dependency>
+<!--        <dependency>-->
+<!--            <groupId>org.springframework</groupId>-->
+<!--            <artifactId>spring-webmvc</artifactId>-->
+<!--            <version>${spring.version}</version>-->
+<!--        </dependency>-->
+<!--        <dependency>-->
+<!--            <groupId>org.hibernate</groupId>-->
+<!--            <artifactId>hibernate-validator-annotation-processor</artifactId>-->
+<!--            <version>4.1.0.Final</version>-->
+<!--        </dependency>-->
+<!--        <dependency>-->
+<!--            <groupId>log4j</groupId>-->
+<!--            <artifactId>log4j</artifactId>-->
+<!--            <version>${log4j.version}</version>-->
+<!--        </dependency>-->
         <dependency>
             <groupId>eu.dnetlib</groupId>
             <artifactId>uoa-domain</artifactId>
@@ -80,22 +89,6 @@
         </dependency>
 
         <dependency>
-            <groupId>eu.dnetlib</groupId>
-            <artifactId>uoa-commons</artifactId>
-            <version>[2.0.0-SNAPSHOT, 3.0.0)</version>
-        </dependency>
-        <dependency>
-            <groupId>eu.dnetlib</groupId>
-            <artifactId>uoa-clients</artifactId>
-            <version>[2.0.0-SNAPSHOT, 3.0.0)</version>
-        </dependency>
-        <dependency>
-            <groupId>eu.dnetlib</groupId>
-            <artifactId>uoa-hcm</artifactId>
-            <version>[2.0.0-SNAPSHOT, 3.0.0)</version>
-        </dependency>
-
-        <dependency>
             <groupId>commons-io</groupId>
             <artifactId>commons-io</artifactId>
             <version>2.4</version>
@@ -106,17 +99,17 @@
             <artifactId>oai4j</artifactId>
             <version>[0.6b1,)</version>
         </dependency>
-        <dependency>
-            <groupId>xalan</groupId>
-            <artifactId>xalan</artifactId>
-            <version>2.7.2</version>
-        </dependency>
+<!--        <dependency>-->
+<!--            <groupId>xalan</groupId>-->
+<!--            <artifactId>xalan</artifactId>-->
+<!--            <version>2.7.2</version>-->
+<!--        </dependency>-->
 
-        <dependency>
-            <groupId>xerces</groupId>
-            <artifactId>xercesImpl</artifactId>
-            <version>2.11.0</version>
-        </dependency>
+<!--        <dependency>-->
+<!--            <groupId>xerces</groupId>-->
+<!--            <artifactId>xercesImpl</artifactId>-->
+<!--            <version>2.11.0</version>-->
+<!--        </dependency>-->
 
         <dependency>
             <groupId>com.fasterxml.jackson.core</groupId>
@@ -131,17 +124,17 @@
             <scope>compile</scope>
         </dependency>
 
-        <dependency>
-            <groupId>org.springframework</groupId>
-            <artifactId>spring-context</artifactId>
-            <version>${spring.version}</version>
-        </dependency>
+<!--        <dependency>-->
+<!--            <groupId>org.springframework</groupId>-->
+<!--            <artifactId>spring-context</artifactId>-->
+<!--            <version>${spring.version}</version>-->
+<!--        </dependency>-->
 
-        <dependency>
-            <groupId>org.springframework</groupId>
-            <artifactId>spring-jdbc</artifactId>
-            <version>${spring.version}</version>
-        </dependency>
+<!--        <dependency>-->
+<!--            <groupId>org.springframework</groupId>-->
+<!--            <artifactId>spring-jdbc</artifactId>-->
+<!--            <version>${spring.version}</version>-->
+<!--        </dependency>-->
 
         <dependency>
             <groupId>com.sun.jersey</groupId>
@@ -185,11 +178,11 @@
         </dependency>
 
         <!-- https://mvnrepository.com/artifact/org.apache.tomcat/tomcat-catalina -->
-        <dependency>
-            <groupId>org.apache.tomcat</groupId>
-            <artifactId>tomcat-catalina</artifactId>
-            <version>9.0.22</version>
-        </dependency>
+<!--        <dependency>-->
+<!--            <groupId>org.apache.tomcat</groupId>-->
+<!--            <artifactId>tomcat-catalina</artifactId>-->
+<!--            <version>9.0.22</version>-->
+<!--        </dependency>-->
 
         <dependency>
             <groupId>commons-fileupload</groupId>
@@ -297,23 +290,23 @@
         </dependency>
 
         <!-- Enable micrometer >> -->
-        <dependency> <!-- TODO: remove this with ActuatorConfig class -->
-            <groupId>org.springframework.boot</groupId>
-            <artifactId>spring-boot-actuator</artifactId>
-            <version>1.3.5.RELEASE</version>
-        </dependency>
+<!--        <dependency> &lt;!&ndash; TODO: remove this with ActuatorConfig class &ndash;&gt;-->
+<!--            <groupId>org.springframework.boot</groupId>-->
+<!--            <artifactId>spring-boot-actuator</artifactId>-->
+<!--            <version>1.3.5.RELEASE</version>-->
+<!--        </dependency>-->
 <!--        <dependency>-->
 <!--            <groupId>org.springframework.boot</groupId>-->
 <!--            <artifactId>spring-boot-actuator-autoconfigure</artifactId>-->
 <!--            <version>2.1.18.RELEASE</version>-->
 <!--        </dependency>-->
+<!--        <dependency>-->
+<!--            <groupId>io.micrometer</groupId>-->
+<!--            <artifactId>micrometer-core</artifactId>-->
+<!--            <version>1.7.2</version>-->
+<!--        </dependency>-->
         <dependency>
             <groupId>io.micrometer</groupId>
-            <artifactId>micrometer-core</artifactId>
-            <version>1.7.2</version>
-        </dependency>
-        <dependency>
-            <groupId>io.micrometer</groupId>
             <artifactId>micrometer-registry-prometheus</artifactId>
             <version>1.7.2</version>
             <scope>compile</scope>
@@ -377,5 +370,30 @@
         </resources>
     </build>
 
-
-</project>
+    <repositories>
+        <repository>
+            <id>dnet-deps</id>
+            <name>dnet-dependencies</name>
+            <url>https://maven.d4science.org/nexus/content/repositories/dnet-deps</url>
+            <layout>default</layout>
+        </repository>
+        <repository>
+            <id>dnet45-snapshots</id>
+            <name>D-Net 45 Snapshots</name>
+            <url>https://maven.d4science.org/nexus/content/repositories/dnet45-snapshots</url>
+            <layout>default</layout>
+            <snapshots>
+                <enabled>true</enabled>
+            </snapshots>
+        </repository>
+        <repository>
+            <id>dnet45-releases</id>
+            <name>D-Net 45 Releases</name>
+            <url>https://maven.d4science.org/nexus/content/repositories/dnet45-releases</url>
+            <layout>default</layout>
+            <snapshots>
+                <enabled>true</enabled>
+            </snapshots>
+        </repository>
+    </repositories>
+</project>
\ No newline at end of file