Index: modules/dnet-api-http-doc/branches/auth-broker/authentication.html
===================================================================
--- modules/dnet-api-http-doc/branches/auth-broker/authentication.html	(revision 61660)
+++ modules/dnet-api-http-doc/branches/auth-broker/authentication.html	(revision 61661)
@@ -252,11 +252,10 @@
 
                    <p>To access the OpenAIRE APIs with better rate limits, send your access token using the Authorization header.</p>
 
-                   <pre><code>
-                     GET https://api-test.openaire.eu/{resourceServicePath}
-                     Authorization: Bearer {ACCESS_TOKEN}
-                  </code></pre>
- 
+                   <pre class="uk-text-left">
+   GET https://api.openaire.eu/{resourceServicePath}
+   Authorization: Bearer {ACCESS_TOKEN}</pre>
+
                    <p>To get an access token, we support <a href="./personalToken.html"><b>personal access token</b></a> creation and 
                      <a href="./registeredService.html"><b>service registration</b></a>.</p>
 
Index: modules/dnet-api-http-doc/branches/auth-broker/basic.html
===================================================================
--- modules/dnet-api-http-doc/branches/auth-broker/basic.html	(revision 61660)
+++ modules/dnet-api-http-doc/branches/auth-broker/basic.html	(revision 61661)
@@ -227,13 +227,13 @@
                   <p>To register your service you need to:</p>
                   <ol>
                      <li>Login to OpenAIRE. In case you are not already a member you will need to register first.</li>
-                     <li>Go to your <a href="https://beta.services.openaire.eu/uoa-user-management/registeredServices" target="_blank"> Registered Services</a> page and click the New Service button.</li>
+                     <li>Go to your <a href="https://services.openaire.eu/uoa-user-management/registeredServices" target="_blank"> Registered Services</a> page and click the New Service button.</li>
                      <li>Provide the <span class="uk-text-primary"><b>"Νame"</b></span> (mandatory) of your service.</li>
                      <li>Select the Basic <span class="uk-text-primary"><b>"Security level"</b></span>.</li>
                      <li>Click the <span class="uk-text-primary"><b>Add New Service</b></span> button.</li>
                   </ol>
                   <p>Once your service is created, the <em>Client ID</em> and <em>Client Secret</em> will appear on your screen. Click 
-                     <span class="uk-text-primary">"OK"</span> and your new service will be appear in the list of your <a href="https://beta.services.openaire.eu/uoa-user-management/registeredServices" target="_blank">Registered Services</a> page.</p>
+                     <span class="uk-text-primary">"OK"</span> and your new service will be appear in the list of your <a href="https://services.openaire.eu/uoa-user-management/registeredServices" target="_blank">Registered Services</a> page.</p>
 
                   <h4>How to make a request</h4>
                   <h5>Step 1. Request for an access token</h5>
Index: modules/dnet-api-http-doc/branches/auth-broker/personalToken.html
===================================================================
--- modules/dnet-api-http-doc/branches/auth-broker/personalToken.html	(revision 61660)
+++ modules/dnet-api-http-doc/branches/auth-broker/personalToken.html	(revision 61661)
@@ -216,7 +216,7 @@
                   To create your personal access token: 
                   <ol>
                      <li>Login to OpenAIRE. In case you are not already a member you will need to register first.</li>
-                     <li>Go to <a href="https://beta.services.openaire.eu/uoa-user-management/personalToken" target="_blank">your personal access token page</a> to get your personal access token.</li>
+                     <li>Go to <a href="https://services.openaire.eu/uoa-user-management/personalToken" target="_blank">your personal access token page</a> to get your personal access token.</li>
                   </ol>  
 
                   <div class="uk-alert-primary" uk-alert>
@@ -231,12 +231,9 @@
 
                   <p>To access the OpenAIRE APIs send your personal access token using the Authorization header.</p>
 
-                  <pre>
-                        <code>
-                              GET https://api-test.openaire.eu/{resourceServicePath}
-                              Authorization: Bearer {ACCESS_TOKEN}
-                        </code>
-                     </pre>
+                  <pre class="uk-text-left">
+   GET https://test.openaire.eu/{resourceServicePath}
+   Authorization: Bearer {ACCESS_TOKEN}</pre>
                   
                   <h4>An hour is not enough? What to do.</h4>
 
@@ -246,7 +243,7 @@
                   <p>To get your refresh token:</p>
                   <ol>
                      <li>Login to OpenAIRE. In case you are not already a member you will need to register first.</li>
-                     <li>Go to <a href="https://beta.services.openaire.eu/uoa-user-management/personalToken" target="_blank">your personal access token page</a> and click the <span class="uk-text-primary"><b>"Get a refresh token"</b></span> button to get your refresh token.</li>
+                     <li>Go to <a href="https://services.openaire.eu/uoa-user-management/personalToken" target="_blank">your personal access token page</a> and click the <span class="uk-text-primary"><b>"Get a refresh token"</b></span> button to get your refresh token.</li>
                   </ol> 
 
                   <div class="uk-alert-primary" uk-alert>
@@ -267,49 +264,37 @@
                   
                   <p>To get a personal access token using your refresh token you need to make the following request:</p>
                   <pre class="uk-text-left">
-                     <code class="uk-text-left">
-                        https:beta.services.openaire.eu/uoa-user-management/api/users/getAccessToken?refreshToken=${your_refresh_token}
-                     </code>
-                  </pre>
+   https://services.openaire.eu/uoa-user-management/api/users/getAccessToken?refreshToken=${your_refresh_token}</pre>
                   
                   <p>The response has the following format</p>
-                  <pre>
-                     <code>
-                        { "access_token": "...",
-                           "token_type":"Bearer",
-                           "refresh_token": "...",
-                           "expires_in": ...,
-                           "scope":"...",
-                           "id_token":"..."
-                        }
-                     </code>
-                  </pre>
+                  <pre class="uk-text-left">
+{ "access_token": "...",
+   "token_type":"Bearer",
+   "refresh_token": "...",
+   "expires_in": ...,
+   "scope":"...",
+   "id_token":"..."
+}</pre>
 
                   <h4>Error Messages</h4>
                   <p>Missing Refresh Token</p>
-                  <pre>
-                     <code>
-                        {  "status" : "error", 
-                           "code" : "400", 
-                           "message" : "Bad Request", 
-                           "description" : "Missing refreshToken parameter" 
-                        }
-                     </code>
-                  </pre>
+                  <pre class="uk-text-left">
+{  "status" : "error", 
+   "code" : "400", 
+   "message" : "Bad Request", 
+   "description" : "Missing refreshToken parameter" 
+}</pre>
 
                   <p>Invalid Refresh Token</p>
-                  <pre>
-                     <code>
-                        {  "status" : "error", 
-                           "code" : "401", 
-                           "message" : "Unauthorised", 
-                           "description" : "Invalid refreshToken token" 
-                        }
-                     </code>
-                  </pre>
+                  <pre class="uk-text-left">
+{  "status" : "error", 
+   "code" : "401", 
+   "message" : "Unauthorised", 
+   "description" : "Invalid refreshToken token" 
+}</pre>
                   
                   <h4>Need more access?</h4>
-                  <p>Please <a href="https://beta.services.openaire.eu/uoa-user-management/registeredServices" target="_blank">register a service</a>.</p>
+                  <p>Please <a href="https://services.openaire.eu/uoa-user-management/registeredServices" target="_blank">register a service</a>.</p>
             </div> <DO NOT REMOVE>
           </div>
         </div>
Index: modules/dnet-api-http-doc/branches/auth-broker/changelog.html
===================================================================
--- modules/dnet-api-http-doc/branches/auth-broker/changelog.html	(revision 61660)
+++ modules/dnet-api-http-doc/branches/auth-broker/changelog.html	(revision 61661)
@@ -6,6 +6,21 @@
 <meta http-equiv="content-type" content="text/html; charset=utf-8">
 <title>OpenAIRE API Documentation: change log</title>
 <script src="./assets/jquery.js"></script><script src="./assets/uikit.js"></script><script src="./assets/uikit-icon-max.js"></script><link rel="stylesheet" type="text/css" href="./assets/theme.css">
+<!-- Matomo -->
+<script type="text/javascript">
+   var _paq = window._paq || [];
+   /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
+   _paq.push(['trackPageView']);
+   _paq.push(['enableLinkTracking']);
+   (function() {
+   var u="//analytics.openaire.eu/";
+   _paq.push(['setTrackerUrl', u+'matomo.php']);
+   _paq.push(['setSiteId', '470']);
+   var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
+   g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
+   })();
+   </script>
+   <!-- End Matomo Code -->
 <link rel="stylesheet" type="text/css" href="./assets/custom.css">
 <link rel="stylesheet" type="text/css" href="./assets/develop-custom.css">
 </head>
Index: modules/dnet-api-http-doc/branches/auth-broker/auth_services.html
===================================================================
--- modules/dnet-api-http-doc/branches/auth-broker/auth_services.html	(revision 61660)
+++ modules/dnet-api-http-doc/branches/auth-broker/auth_services.html	(revision 61661)
@@ -228,7 +228,7 @@
                   <p>To get a personal access token using your refresh token you need to make the following request</p>
                   <pre>
                      <code>
-                        https:beta.services.openaire.eu/uoa-user-management/api/users/getAccessToken?refreshToken=${your_refresh_token}
+                        https://services.openaire.eu/uoa-user-management/api/users/getAccessToken?refreshToken=${your_refresh_token}
                      </code>
                   </pre>
                   
Index: modules/dnet-api-http-doc/branches/auth-broker/advanced.html
===================================================================
--- modules/dnet-api-http-doc/branches/auth-broker/advanced.html	(revision 61660)
+++ modules/dnet-api-http-doc/branches/auth-broker/advanced.html	(revision 61661)
@@ -235,37 +235,30 @@
                            <a href="https://aai.openaire.eu/oidc/generate-oidc-keystore" target="_blank">https://aai.openaire.eu/oidc/generate-oidc-keystore</a>. 
                            <br>
                            The response is your <span class="uk-text-primary"><b>Public and Private Keypair</b></span> and has the following format:
-                           <pre>
-                              <code>
-                                    { "p" : ...,
-                                      "kty" : "RSA",
-                                      "q" : ...,
-                                      "d" : ...,
-                                      "e" : "AQAB",
-                                      "kid" : ...,
-                                      "qi" : ..., 
-                                      "dp" : ..., 
-                                      "alg" : "RS256",
-                                      "dq" : ...,
-                                      "n" : ....
-                                    }
-                              </code>
-                           </pre>
+                           <pre class="uk-text-left">
+{ "p" : ...,
+   "kty" : "RSA",
+   "q" : ...,
+   "d" : ...,
+   "e" : "AQAB",
+   "kid" : ...,
+   "qi" : ..., 
+   "dp" : ..., 
+   "alg" : "RS256",
+   "dq" : ...,
+   "n" : ....
+}</pre>
                            
                            Use the public key parameters (kty, e, kid, alg, n) to create your <span class="uk-text-primary"><b>Public Key</b></span>
-                           in the following format:
-                           
-                           <pre>
-                              <code>
-                                   {
-                                      "kty": "RSA",
-                                      "e": "AQAB",
-                                      "kid": ...,
-                                      "alg": "RS256",
-                                      "n": ...
-                                  }
-                              </code>
-                           </pre>
+                           in the following format:                           
+                           <pre class="uk-text-left">
+{
+   "kty": "RSA",
+   "e": "AQAB",
+   "kid": ...,
+   "alg": "RS256",
+   "n": ...
+}</pre>
 
                            <div class="uk-alert-primary" uk-alert>
                               Store both the <span class="uk-text-primary"><b>Public and Private keypair</b></span> and the <span class="uk-text-primary"><b>Public key</b></span>. You will need them to register your service.
@@ -292,29 +285,26 @@
                   <p>To register your service you need to:</p>
                   <ol>
                      <li>Login to OpenAIRE. In case you are not already a member you will need to register first.</li>
-                     <li>Go to your <a href="https://beta.services.openaire.eu/uoa-user-management/registeredServices" target="_blank">Registered Services</a> page and click the New Service button.</li>
+                     <li>Go to your <a href="https://services.openaire.eu/uoa-user-management/registeredServices" target="_blank">Registered Services</a> page and click the New Service button.</li>
                      <li>Provide the <span class="uk-text-primary"><b>"Νame"</b></span> (mandatory) of your service.</li>
                      <li>Select the Advanced <span class="uk-text-primary"><b>"Security level"</b></span></li>
                      <li>Use the public key parameters (kty, e, kid, alg, n) you previously produced to  
                          declare your <span class="uk-text-primary"><b>"Public Key"</b></span> <span class="uk-text-primary"><b>"By value"</b></span> 
                          in the following format:
-                         <pre>
-                            <code>
-                                 {
-                                    "kty": "RSA",
-                                    "e": "AQAB",
-                                    "kid": ...,
-                                    "alg": "RS256",
-                                    "n": ...
-                                }
-                            </code>
-                         </pre>
+                         <pre class="uk-text-left">
+{
+   "kty": "RSA",
+   "e": "AQAB",
+   "kid": ...,
+   "alg": "RS256",
+   "n": ...
+}</pre>
                          <b>- OR -</b>
                          <p>If your service has a public key in JWK format that can be accessed using a link, you can set <span class="uk-text-primary"><b>“Public Key”</b></span> to <span class="uk-text-primary"><b>“By URL”</b></span>.</p>
                      </b>
                      <li>Click the <span class="uk-text-primary"><b>Add New Service</b></span> button.</li>
                   </ol>
-                  <p>Once your service is created it will appear in the list of your <a href="https://beta.services.openaire.eu/uoa-user-management/registeredServices" target="_blank">Registered Services</a> page, with 
+                  <p>Once your service is created it will appear in the list of your <a href="https://services.openaire.eu/uoa-user-management/registeredServices" target="_blank">Registered Services</a> page, with 
                   the <b>Service Id</b> that was automatically assigned to it by the AAI OpenAIRE service.</p>
                   
                   <h4>How to make a request</h4>                  
@@ -324,16 +314,14 @@
                   </p>
                   <p>
                      <p>To create a JWT you can use <a href="https://mkjose.org/" target="_blank">https://mkjose.org/</a>. To do so you need to create a <b>payload</b> that should contain the following claims:</p>
-                     <pre>
-                        <code>
-                           {
-                              "iss": "{SERVICE_ID}",
-                              "sub": "{SERVICE_ID}",
-                              "aud": "https://aai.openaire.eu/oidc/token",
-                              "jti": "{RANDOM_STRING}",
-                              "exp": {EXPIRATION_TIME_OF_SIGNED_JWT}                            }
-                        </code>
-                     </pre>
+                     <pre class="uk-text-left">
+{
+   "iss": "{SERVICE_ID}",
+   "sub": "{SERVICE_ID}",
+   "aud": "https://aai.openaire.eu/oidc/token",
+   "jti": "{RANDOM_STRING}",
+   "exp": {EXPIRATION_TIME_OF_SIGNED_JWT}
+}</pre>
                      <ul>                     
                            <li><b>iss</b>, <em>(required)</em> the “issuer” claim identifies the principal that issued the JWT. The value is 
                               the <b>Service Id</b> that was created when you registered your service.
@@ -355,14 +343,11 @@
                      </p>
                      <p>To check your JWT you can go to <a href="https://jwt.io/" target="_blank">https://jwt.io/</a>. The 
                         <b>header</b> should contain the following claims:</p>
-                     <pre>
-                        <code>
-                           {
-                              "alg": "RS256",
-                              "kid": ...
-                            }
-                        </code>
-                     </pre>
+                        <pre class="uk-text-left">
+{
+   "alg": "RS256",
+   "kid": ...
+}</pre>
                      where <b>kid</b> is the one of your <span class="uk-text-primary"><b>Public and Private Keypair</b></span> you used to sign the JWT in <span class="uk-text-primary"><b>Step 1</b></span>.</li>
                      </ul>
                      </p>                        
@@ -379,27 +364,23 @@
                      declared in the <span class="uk-text-primary"><b>"How to register your service"</b></span>
                      process.
 
-                     <pre>
-                        <code>
+                     <pre class="uk-text-left">
                            curl -k -X POST "https://aai.openaire.eu/oidc/token" \
                            -d "grant_type=client_credentials" \
                            -d "client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer" \
                            -d "client_assertion={signedJWT}"
-                        </code>
+
                      </pre>
                      <p>where <b>{signedJWT}</b> is the signed JWT created in <span class="uk-text-primary"><b>Step 1</b></span>.</p>
                      <p>
                         The response is:
-                        <pre>
-                              <code>
-                                    {
-                                       "access_token": {ACCESS_TOKEN}
-                                       "token_type":"Bearer",
-                                       "expires_in": ...,
-                                       "scope":"openid"
-                                    }
-                              </code>
-                           </pre>
+                        <pre class="uk-text-left">
+{
+   "access_token": {ACCESS_TOKEN}
+   "token_type":"Bearer",
+   "expires_in": ...,
+   "scope":"openid"
+}</pre>
                      </p>
                   </p>
                   <div class="uk-alert-danger" uk-alert>
@@ -408,45 +389,32 @@
                   
                   <h5>Step 3. Make a request</h5>
                   <p>To access the OpenAIRE APIs send the access token returned in <span class="uk-text-primary"><b>Step 2</b></span>.</p>
-
-                  <pre>
-                        <code>
-                              GET https://api-test.openaire.eu/{resourceServicePath}
-                              Authorization: Bearer {ACCESS_TOKEN}
-                        </code>
-                     </pre>
+                  <pre class="uk-text-left">
+                              GET https://api.openaire.eu/{resourceServicePath}
+                              Authorization: Bearer {ACCESS_TOKEN}</pre>
                   
 
                   <h4>Error messages</h4>
                   <p>401 - Invalid client assertion</p>
-                  <pre>
-                     <code>
-                           {
-                              "error":"invalid_client",
-                              "error_description":"Bad client credentials"
-                           }
-                     </code>
-                  </pre>
+                  <pre class="uk-text-left">
+{
+   "error":"invalid_client",
+   "error_description":"Bad client credentials"
+}</pre>
                   
                   <p>401 - Client assertion for missing service</p>
-                  <pre>
-                     <code>
-                           {
-                              "error":"invalid_client",
-                              "error_description":"Could not find client {SERVICE_ID}"
-                           }
-                     </code>
-                  </pre>
+                  <pre class="uk-text-left">
+{
+   "error":"invalid_client",
+   "error_description":"Could not find client {SERVICE_ID}"
+}</pre>
 
                   <p>401 - Expired signed jwt</p>
-                  <pre>
-                     <code>
-                           {
-                              "error":"unauthorized",
-                              "error_description":"Assertion Token in expired: {EXPIRATION_TIME}"
-                           }
-                     </code>
-                  </pre>
+                  <pre class="uk-text-left">
+{
+   "error":"unauthorized",
+   "error_description":"Assertion Token in expired: {EXPIRATION_TIME}"
+}</pre>
             </div> <DO NOT REMOVE>
           </div>
         </div>
Index: modules/dnet-api-http-doc/src/authentication.html
===================================================================
--- modules/dnet-api-http-doc/src/authentication.html	(revision 61660)
+++ modules/dnet-api-http-doc/src/authentication.html	(revision 61661)
@@ -227,7 +227,7 @@
                   <p>
                      The OpenAIRE APIs can be accessed over HTTPS both by authenticated and non authenticated requests. 
                      Currently, there is <b>an adjustment period until September 2021</b>, when the rate limit for both authenticated 
-                     and non authenticated requests is up to 3600 requests per hour. <b>After this period we plan to significantly 
+                     and non authenticated requests is up to 7200 requests per hour. <b>After this period we plan to significantly 
                      lower the rate limit of non authenticated requests up to 60 requests per hour.</b> 
                      
                      <p>Please consider to make authenticated requests to achieve better rate limits. Check our Privacy Policy <a href="http://www.openaire.eu/privacy-policy" target="_blank">here</a>.</p>
@@ -241,12 +241,12 @@
                      <tbody>
                          <tr>
                              <td>Not authenticated requests</td>
-                             <td>up to 3600 requests per hour 
+                             <td>up to 7200 requests per hour 
                                 <br>soon to decrease - please see above</td>
                          </tr>
                          <tr>
                            <td>Authenticated requests</td>
-                           <td>up to 3600 request per hour</td>
+                           <td>up to 7200 request per hour</td>
                          </tr>
                      </tbody>
                  </table>
Index: modules/dnet-api-http-doc/src/bulk-projects.html
===================================================================
--- modules/dnet-api-http-doc/src/bulk-projects.html	(revision 61660)
+++ modules/dnet-api-http-doc/src/bulk-projects.html	(revision 61661)
@@ -32,7 +32,7 @@
       <link rel="stylesheet" type="text/css" href="./assets/custom.css">
       <link rel="stylesheet" type="text/css" href="./assets/develop-custom.css">
    </head>
-   <body class="" style="">
+   <body class="">
       <div class="uk-offcanvas-content uk-height-viewport">
         <div class="tm-header-mobile uk-hidden@m">
           <div animation="uk-animation-slide-top" class="uk-navbar-container uk-sticky  uk-navbar-transparent" cls-active="uk-active uk-navbar-sticky" cls-inactive="uk-navbar-transparent" uk-sticky="">
Index: modules/dnet-api-http-doc/src/advanced.html
===================================================================
--- modules/dnet-api-http-doc/src/advanced.html	(revision 61660)
+++ modules/dnet-api-http-doc/src/advanced.html	(revision 61661)
@@ -250,8 +250,7 @@
                            <br>
                            The response is your <span class="uk-text-primary"><b>Public and Private Keypair</b></span> and has the following format:
                            <pre class="uk-text-left">
-{ 
-   "p" : ...,
+{ "p" : ...,
    "kty" : "RSA",
    "q" : ...,
    "d" : ...,
@@ -265,8 +264,7 @@
 }</pre>
                            
                            Use the public key parameters (kty, e, kid, alg, n) to create your <span class="uk-text-primary"><b>Public Key</b></span>
-                           in the following format:
-                           
+                           in the following format:                           
                            <pre class="uk-text-left">
 {
    "kty": "RSA",
@@ -336,7 +334,7 @@
    "sub": "{SERVICE_ID}",
    "aud": "https://aai.openaire.eu/oidc/token",
    "jti": "{RANDOM_STRING}",
-   "exp": {EXPIRATION_TIME_OF_SIGNED_JWT}                            
+   "exp": {EXPIRATION_TIME_OF_SIGNED_JWT}
 }</pre>
                      <ul>                     
                            <li><b>iss</b>, <em>(required)</em> the “issuer” claim identifies the principal that issued the JWT. The value is 
Index: modules/dnet-api-http-doc/src/api.html
===================================================================
--- modules/dnet-api-http-doc/src/api.html	(revision 61660)
+++ modules/dnet-api-http-doc/src/api.html	(revision 61661)
@@ -644,6 +644,13 @@
                       <td>Gets the other research products with the given DOIs, if any.</td>
                   </tr>
                   <tr>
+                    <td>orcid</td>
+                    <td>Comma separated list of ORCID iDs of authors.<br>
+                        Alternatively, it is possible to repeat the parameter for each author ORCID iD.
+                    </td>
+                    <td>Gets the publications linked to the given ORCID iD of an author, if any. </td>
+                </tr>
+                  <tr>
                       <td>openaireOtherID</td>
                       <td>Comma separated list of OpenAIRE identifiers. <br>
                           Alternatively, it is possible to repeat the parameter for each requested identifier.</td>