Index: modules/dnet-api-http-doc/src/graph-dumps.html
===================================================================
--- modules/dnet-api-http-doc/src/graph-dumps.html	(revision 61746)
+++ modules/dnet-api-http-doc/src/graph-dumps.html	(revision 61747)
@@ -83,13 +83,13 @@
 				<div class="uk-container">
 					<div class="uk-grid">
 						<!-- Side menu & content -->
-						<div class="uk-width-1-3@s uk-width-1-4@m uk-width-1-4@l uk-visible@m" >
-							<ul class="uk-nav-default uk-nav-parent-icon" uk-nav="multiple: false" uk-sticky="offset: 100; media:@s" >
+						<div class="uk-width-1-3@s uk-width-1-4@m uk-width-1-4@l" >
+							<ul class="uk-nav-default uk-nav-parent-icon side-menu-spacing" uk-nav="multiple: false" uk-sticky="offset: 100; media: 640" >
 								<li class="uk-parent uk-open">
 									<a href="#">Bulk Access</a>
 									<ul class="uk-nav-sub">
 										<li><b><a href="./graph-dumps.html">OpenAIRE Research Graph Dumps</a></b></li>
-										<li><a href="./oai-pmh.html">OAI-PMH (discontinued)</a></li>
+										<!-- <li><a href="./oai-pmh.html">OAI-PMH (discontinued)</a></li> -->
 										<li><a href="./bulk-projects.html">Bulk access to projects</a></li>
 									</ul>
 								</li>
@@ -98,8 +98,8 @@
 						
 						<div class="tm-main uk-width-expand uk-row-first uk-first-column">
 										<!-- Content GOES HERE-->
-										<h2 class="uk-text-center">The OpenAIRE Research Graph</h2>
-										<p>The OpenAIRE Research Graph is one of the largest open scholarly record collections worldwide, key in fostering Open Science and establishing its practices in the daily research activities. 
+										<h2 class="uk-text-center">OpenAIRE Research Graph Dumps</h2>
+										<!-- <p>The OpenAIRE Research Graph is one of the largest open scholarly record collections worldwide, key in fostering Open Science and establishing its practices in the daily research activities. 
 												Conceived as a public and transparent good, populated out of data sources trusted by scientists, the Graph aims at bringing discovery, monitoring, and assessment of science back in the hands of the scientific community. 
 										</p>
 										<p>Imagine a vast collection of research products all linked together, contextualised and openly available. 
@@ -114,52 +114,52 @@
 										<p>Detailed information can be found on <a href="https://graph.openaire.eu">https://graph.openaire.eu</a></p>
 						
 										
-										<h3 class="portal-color">Get the dumps</h3>
+										<h3 class="portal-color">Get the dumps</h3> -->
 										<div>
 											<p>In order to facilitate users, different dumps are available. 
-													All are available under the <a href="https://zenodo.org/communities/openaire-research-graph">Zenodo community called OpenAIRE Research Graph</a>.
+													All are available under the <a href="https://zenodo.org/communities/openaire-research-graph" target="_blank">Zenodo community called OpenAIRE Research Graph</a>.
 													<ul class="portal-circle">
 														<li>The <strong>whole OpenAIRE Research Graph Dump</strong><br/>
-																Dataset: <a href="https://doi.org/10.5281/zenodo.3516917"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3516917.svg" alt="DOI"></a><br/>
-																Schema: <a href="https://doi.org/10.5281/zenodo.4238938"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.4238938.svg" alt="DOI"></a><br/>
-																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.<br/>
+																Dataset: <a href="https://doi.org/10.5281/zenodo.3516917" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3516917.svg" alt="DOI"></a><br/>
+																Schema: <a href="https://doi.org/10.5281/zenodo.4238938" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.4238938.svg" alt="DOI"></a><br/>
+																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/" target="_blank">Creative Commons Attribution 4.0 International License</a>.<br/>
 																It is composed of several files so that you can download the parts you are interested into. 
 																Each file is a tar archive containing gz files, each with one json per line. 
 														</li>
 														<li>The <strong>OpenAIRE COVID-19 dump</strong> <br/>
-																Dataset: <a href="https://doi.org/10.5281/zenodo.3980490"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3980490.svg" alt="DOI"></a><br/>
-																Schema: <a href="https://doi.org/10.5281/zenodo.3974225"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3974225.svg" alt="DOI"></a><br/>
-																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.<br/>
+																Dataset: <a href="https://doi.org/10.5281/zenodo.3980490" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3980490.svg" alt="DOI"></a><br/>
+																Schema: <a href="https://doi.org/10.5281/zenodo.3974225" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3974225.svg" alt="DOI"></a><br/>
+																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/" target="_blank">Creative Commons Attribution 4.0 International License</a>.<br/>
 																It contains metadata records of publications, research data, software and projects on the topic of Corona Virus and COVID-19.
-																This dump is part of the <a href="https://www.openaire.eu/openaire-activities-for-covid-19">activities of OpenAIRE to support the fight against COVID-19</a> together with the <a href="https://covid-19.openaire.eu">OpenAIRE COVID-19 Gateway</a>. 
+																This dump is part of the <a href="https://www.openaire.eu/openaire-activities-for-covid-19" target="_blank">activities of OpenAIRE to support the fight against COVID-19</a> together with the <a href="https://covid-19.openaire.eu" target="_blank">OpenAIRE COVID-19 Gateway</a>. 
 																The dump consists of a tar archive containing gzip files with one json per line. 
 														</li>
 														<li>The <strong>dump of funded products</strong> <br/>
-																Dataset: <a href="https://doi.org/10.5281/zenodo.4559725"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.4559725.svg" alt="DOI"></a><br/>
-																Schema: <a href="https://doi.org/10.5281/zenodo.3974225"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3974225.svg" alt="DOI"></a><br/>
-																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.<br/>
+																Dataset: <a href="https://doi.org/10.5281/zenodo.4559725" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.4559725.svg" alt="DOI"></a><br/>
+																Schema: <a href="https://doi.org/10.5281/zenodo.3974225" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3974225.svg" alt="DOI"></a><br/>
+																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/" target="_blank">Creative Commons Attribution 4.0 International License</a>.<br/>
 																It contains metadata records of research products (research literature, data, software, other types of research products) with funding information available in the OpenAIRE Research Graph
 																Records are grouped by funder in a dedicated archive file. Each tar archive contains gzip files, each with one json record per line. 
 														</li>
 														<li>
 																The <strong>dumps about research communities, initiatives and infrastructures</strong> <br/>
-																Dataset: <a href="https://doi.org/10.5281/zenodo.3974604"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3974604.svg" alt="DOI"></a><br/>
-																Schema: <a href="https://doi.org/10.5281/zenodo.3974225"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3974225.svg" alt="DOI"></a><br/>
-																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.<br/>
-																The dataset contains one file per community/initiative/infrastructure collaborating with OpenAIRE. Check out also their community gateways on <a href="https://connect.openaire.eu">CONNECT</a>.
+																Dataset: <a href="https://doi.org/10.5281/zenodo.3974604" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3974604.svg" alt="DOI"></a><br/>
+																Schema: <a href="https://doi.org/10.5281/zenodo.3974225" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3974225.svg" alt="DOI"></a><br/>
+																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/" target="_blank">Creative Commons Attribution 4.0 International License</a>.<br/>
+																The dataset contains one file per community/initiative/infrastructure collaborating with OpenAIRE. Check out also their community gateways on <a href="https://connect.openaire.eu" target="_blank">CONNECT</a>.
 																Each file is a tar archive containing gzip files with one json per line. 
 														</li>
 														<li>The dump of <strong>ScholeXplorer</strong> <br/>
-																Dataset: <a href="https://doi.org/10.5281/zenodo.1200252"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1200252.svg" alt="DOI"></a><br/>
-																Schema (Scholix version 3): <a href="https://doi.org/10.5281/zenodo.1120275"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1120275.svg" alt="DOI"></a><br/>
-																This dataset is licensed under a <a rel="license" href="https://creativecommons.org/publicdomain/zero/1.0/">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication</a>.<br/>
-																The dataset contains the GZ-compressed dump of the Scholix links exposed by the <a href="https://scholexplorer.openaire.eu">OpenAIRE ScholeXplorer service</a>. 
+																Dataset: <a href="https://doi.org/10.5281/zenodo.1200252" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1200252.svg" alt="DOI"></a><br/>
+																Schema (Scholix version 3): <a href="https://doi.org/10.5281/zenodo.1120275" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1120275.svg" alt="DOI"></a><br/>
+																This dataset is licensed under a <a rel="license" href="https://creativecommons.org/publicdomain/zero/1.0/" target="_blank">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication</a>.<br/>
+																The dataset contains the GZ-compressed dump of the Scholix links exposed by the <a href="https://scholexplorer.openaire.eu" target="_blank">OpenAIRE ScholeXplorer service</a>. 
 														</li>
 														<li>The dump of <strong>DOIBoost</strong> <br/>
-																Dataset: <a href="https://doi.org/10.5281/zenodo.1438355"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1438355.svg" alt="DOI"></a><br/>
-																Publication: <a href="https://doi.org/10.5281/zenodo.1441071"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1441071.svg" alt="DOI"></a><br/>
-																Software: <a href="https://doi.org/10.5281/zenodo.1441057"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1441057.svg" alt="DOI"></a><br/>
-																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.<br/>
+																Dataset: <a href="https://doi.org/10.5281/zenodo.1438355" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1438355.svg" alt="DOI"></a><br/>
+																Publication: <a href="https://doi.org/10.5281/zenodo.1441071" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1441071.svg" alt="DOI"></a><br/>
+																Software: <a href="https://doi.org/10.5281/zenodo.1441057" target="_blank"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.1441057.svg" alt="DOI"></a><br/>
+																This dataset is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/" target="_blank">Creative Commons Attribution 4.0 International License</a>.<br/>
 																DOIBoost is a metadata collection that enriches CrossRef with inputs from Microsoft Academic Graph, ORCID, and Unpaywall. 
 														</li>
 													</ul>
@@ -166,7 +166,7 @@
 										</div>
 										<h3 class="portal-color">Cite us</h3>
 										<p>If you use any of the dumps above for research purposes, please cite it following the reccomendation that you find on the Zenodo page.<br/>
-												The OpenAIRE Research Graph and DOIBoost include data from <a href="https://aka.ms/msracad">Microsoft Academic Graph</a> (MAG): please acknowledge also MAG following <a href="https://docs.microsoft.com/en-us/academic-services/graph/resources-faq#license">this guideline</a>.<br/>
+												The OpenAIRE Research Graph and DOIBoost include data from <a href="https://aka.ms/msracad" target="_blank">Microsoft Academic Graph</a> (MAG): please acknowledge also MAG following <a href="https://docs.microsoft.com/en-us/academic-services/graph/resources-faq#license" target="_blank">this guideline</a>.<br/>
 										</p>
 										
 									<h3 class="portal-color">Still using the old XML dumps?</h3>